Error on Update

Project: 
GXDLMSDirector

When updating application to new version i get this error.
Also after remove application and installing new version i have same error.
May you help me?

* [04.05.2021 13:07:25] System.Globalization.CultureNotFoundException
- Неподдерживаемая культура.
Имя параметра: name
eo - недопустимый идентификатор культуры.
- Источник: mscorlib
- Запись изменений стека:
в System.Globalization.CultureInfo..ctor(String name, Boolean useUserOverride)
в System.Deployment.Application.AssemblyMetaDataImport.ConstructAssemblyName(IntPtr asmMetaPtr, Char[] asmNameBuf, UInt32 asmNameLength, IntPtr pubKeyPtr, UInt32 pubKeyBytes, UInt32 flags)
в System.Deployment.Application.AssemblyMetaDataImport.ImportIdentity()
в System.Deployment.Application.AssemblyMetaDataImport.get_Name()
в System.Deployment.Application.Manifest.AssemblyManifest.LoadFromCompLibAssembly(String filePath)
в System.Deployment.Application.Manifest.AssemblyManifest.LoadFromInternalManifestFile(String filePath)
в System.Deployment.Application.DownloadManager.ProcessDownloadedFile(Object sender, DownloadEventArgs e)
в System.Deployment.Application.FileDownloader.DownloadModifiedEventHandler.Invoke(Object sender, DownloadEventArgs e)
в System.Deployment.Application.FileDownloader.OnModified()
в System.Deployment.Application.SystemNetDownloader.DownloadSingleFile(DownloadQueueItem next)
в System.Deployment.Application.SystemNetDownloader.DownloadAllFiles()
в System.Deployment.Application.FileDownloader.Download(SubscriptionState subState, X509Certificate2 clientCertificate)
в System.Deployment.Application.DownloadManager.DownloadDependencies(SubscriptionState subState, AssemblyManifest deployManifest, AssemblyManifest appManifest, Uri sourceUriBase, String targetDirectory, String group, IDownloadNotification notification, DownloadOptions options)
в System.Deployment.Application.ApplicationActivator.DownloadApplication(SubscriptionState subState, ActivationDescription actDesc, Int64 transactionId, TempDirectory& downloadTemp)
в System.Deployment.Application.ApplicationActivator.InstallApplication(SubscriptionState& subState, ActivationDescription actDesc)
в System.Deployment.Application.ApplicationActivator.PerformDeploymentActivation(Uri activationUri, Boolean isShortcut, String textualSubId, String deploymentProviderUrlFromExtension, BrowserSettings browserSettings, String& errorPageUrl, Uri& deploymentUri)
в System.Deployment.Application.ApplicationActivator.PerformDeploymentActivationWithRetry(Uri activationUri, Boolean isShortcut, String textualSubId, String deploymentProviderUrlFromExtension, BrowserSettings browserSettings, String& errorPageUrl)
--- Конец трассировка стека из предыдущего расположения, где возникло исключение ---
в System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
в System.Deployment.Application.ApplicationActivator.PerformDeploymentActivationWithRetry(Uri activationUri, Boolean isShortcut, String textualSubId, String deploymentProviderUrlFromExtension, BrowserSettings browserSettings, String& errorPageUrl)
в System.Deployment.Application.ApplicationActivator.ActivateDeploymentWorker(Object state)

Status: 
Active
Priority: 
Normal
Category: 
Support request
Component: 
Miscellaneous
Reporter: 
Xanders08
Created: 
Tue, 05/04/2021 - 13:13
Updated: 
Tue, 05/04/2021 - 13:13

Comments

Kurumi's picture

Hi,

Can you install the application from here:
http://gurux.fi/Downloads/gxdlmsdirector46/GXDLMSDirector.application

Can you also run this and let me know the version:
dotnet --version

BR,
Mikko

Also have this error.
dotnet --version
2.1.519

Kurumi's picture

We have a new building PC where is a new dotnet 5.0 installed. Maybe this is the reason.

We'll install a new test PC with 2.1.519. Let's see if this can be repeated.

BR,
Mikko

Kurumi's picture

You can remove the new version and use the old one.
You can do this if you go to the installed applications and Find GXDLMSDirector.
Then remove it and it should ask do you want to use previous version.

BR,
Mikko

This version is .NET Core, maybe this is problem? I try update for new version of .NET Core and tell you about result

Kurumi's picture

Hi,

Please, do it.

BR,
Mikko

Was Install .NET 5.0
"dotnet --version" is "5.0.202", but error same as early